import glsupport
from globalconstants import SCALING_STEP, SCALING_MIN, SCALING_MAX, SCALING_STATE_DO_NOTHING, SCALING_STATE_SCALE_DOWNWARDS, SCALING_STATE_SCALE_UPWARDS, SCALING_DEFAULT

def viewport_zoom_in():
    if glsupport.current_scale - SCALING_STEP >= SCALING_MAX and glsupport.current_scale_state == SCALING_STATE_DO_NOTHING:
        glsupport.current_scale_aiming = glsupport.current_scale - SCALING_STEP
        #glsupport.current_scale -= SCALING_STEP
        glsupport.current_scale_state = SCALING_STATE_SCALE_DOWNWARDS

def viewport_zoom_out():
    if glsupport.current_scale + SCALING_STEP <= SCALING_MIN and glsupport.current_scale_state == SCALING_STATE_DO_NOTHING:
        glsupport.current_scale_aiming = glsupport.current_scale + SCALING_STEP
        #glsupport.current_scale += SCALING_STEP
        glsupport.current_scale_state = SCALING_STATE_SCALE_UPWARDS

def pan_in_to_default():
    glsupport.current_scale = 0.9
    glsupport.current_scale_state = SCALING_STATE_SCALE_DOWNWARDS
    glsupport.current_scale_aiming = SCALING_DEFAULT